Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class GutsRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.GutsRecord

    public final class GutsRecord

extends StandardRecord

Title: Guts Record

Description: Row/column gutter sizes

REFERENCE: PG 320 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Version:
  2.0-pre
Author:
  Andrew C. Oliver (acoliver at apache dot org), Jason Height (jheight at chariot dot net dot au)

Field Summary
`static short` | `sid`

Constructor Summary
`GutsRecord()`
`GutsRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` | `clone()`
`short` | `getColLevelMax()` get the maximum outline level for the col gutter.
`short` | `getLeftRowGutter()` get the size of the gutter that appears at the left of the rows
`short` | `getRowLevelMax()` get the maximum outline level for the row gutter.
`short` | `getSid()` return the non static version of the id for this record.
`short` | `getTopColGutter()` get the size of the gutter that appears at the above the columns
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` | `setColLevelMax(short max)` set the maximum outline level for the col gutter.
`void` | `setLeftRowGutter(short gut)` set the size of the gutter that appears at the left of the rows
`void` | `setRowLevelMax(short max)` set the maximum outline level for the row gutter.
`void` | `setTopColGutter(short gut)` set the size of the gutter that appears at the above the columns
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### GutsRecord

    public GutsRecord()

### GutsRecord

    public GutsRecord(RecordInputStream in)

Method Detail

### setLeftRowGutter

    public void setLeftRowGutter(short gut)

  set the size of the gutter that appears at the left of the rows

  Parameters:
    `gut` - gutter size in screen units

### setTopColGutter

    public void setTopColGutter(short gut)

  set the size of the gutter that appears at the above the columns

  Parameters:
    `gut` - gutter size in screen units

### setRowLevelMax

    public void setRowLevelMax(short max)

  set the maximum outline level for the row gutter.

  Parameters:
    `max` - maximum outline level

### setColLevelMax

    public void setColLevelMax(short max)

  set the maximum outline level for the col gutter.

  Parameters:
    `max` - maximum outline level

### getLeftRowGutter

    public short getLeftRowGutter()

  get the size of the gutter that appears at the left of the rows

  Returns:
    gutter size in screen units

### getTopColGutter

    public short getTopColGutter()

  get the size of the gutter that appears at the above the columns

  Returns:
    gutter size in screen units

### getRowLevelMax

    public short getRowLevelMax()

  get the maximum outline level for the row gutter.

  Returns:
    maximum outline level

### getColLevelMax

    public short getColLevelMax()

  get the maximum outline level for the col gutter.

  Returns:
    maximum outline level

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD